Debian Bug report logs - #626682
xserver-xorg-core: overlapping memcpy in libfb.so

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: Stéphane Glondu <glondu@debian.org>

Date: Sat, 14 May 2011 10:33:01 UTC

Severity: important

Found in version xorg-server/2:1.9.5-1

Fixed in version xorg-server/2:1.11.0-1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#626682; Package xserver-xorg-core. (Sat, 14 May 2011 10:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 14 May 2011 10:33:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-core: overlapping memcpy in libfb.so
Date: Sat, 14 May 2011 12:29:54 +0200
Package: xserver-xorg-core
Version: 2:1.9.5-1
Severity: important

Hello,

After upgrading libc6 to 2.13-4 and adding
/usr/lib/libc/memcpy-syslog-preload.so to my /etc/ld.so.preload as
suggested by the NEWS file, lines like the following:

> May 14 12:22:41 korell Xorg: source and destination overlap in memcpy() at ip 0x7f3d6dbfdc3c

appear in my user.log whenever I move a window to the left.

"grep 7f3d6db /proc/`pidof Xorg`/maps" returns:

> 7f3d6d9ed000-7f3d6dbec000 ---p 00006000 fd:00 42327                      /usr/lib/xorg/modules/libshadow.so
> 7f3d6dbec000-7f3d6dbed000 rw-p 00005000 fd:00 42327                      /usr/lib/xorg/modules/libshadow.so
> 7f3d6dbed000-7f3d6dc0f000 r-xp 00000000 fd:00 42701                      /usr/lib/xorg/modules/libfb.so

Looking even further leads to fb/fbblt.c, line 92. After googling, I ended up to:

  http://www.mail-archive.com/xorg-devel@lists.x.org/msg20788.html

This might explain bugs like #626655 or #625521, but I'm not sure... so I report it separately.


Cheers,

-- 
Stéphane


-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 Feb 22  2009 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1926464 Mar 26 04:49 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
02:00.0 VGA compatible controller [0300]: nVidia Corporation C77 [GeForce 8200] [10de:0849] (rev a2)

/etc/X11/xorg.conf does not exist.

/etc/X11/xorg.conf.d does not exist.

/etc/modprobe.d contains no KMS configuration files.

Kernel version (/proc/version):
-------------------------------
Linux version 2.6.38-2-amd64 (Debian 2.6.38-5) (ben@decadent.org.uk) (gcc version 4.4.6 (Debian 4.4.6-3) ) #1 SMP Sun May 8 13:51:57 UTC 2011

Xorg X server log files on system:
----------------------------------
-rw-r--r-- 1 root root 15356 May 22  2010 /var/log/Xorg.20.log
-rw-r--r-- 1 root root 29257 May 14 11:18 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
---------------------------------------------------------------------
[   140.271] 
X.Org X Server 1.9.5
Release Date: 2011-03-17
[   140.271] X Protocol Version 11, Revision 0
[   140.271] Build Operating System: Linux 2.6.38-1-amd64 x86_64 Debian
[   140.271] Current Operating System: Linux korell 2.6.38-2-amd64 #1 SMP Sun May 8 13:51:57 UTC 2011 x86_64
[   140.271] Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.38-2-amd64 root=/dev/mapper/korell0-root ro
[   140.271] Build Date: 26 March 2011  03:32:34AM
[   140.271] xorg-server 2:1.9.5-1 (Cyril Brulebois <kibi@debian.org>) 
[   140.271] Current version of pixman: 0.21.8
[   140.271] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[   140.271] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   140.271] (==) Log file: "/var/log/Xorg.0.log", Time: Sat May 14 11:18:32 2011
[   140.272] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[   140.287] (==) No Layout section.  Using the first Screen section.
[   140.287] (==) No screen section available. Using defaults.
[   140.287] (**) |-->Screen "Default Screen Section" (0)
[   140.287] (**) |   |-->Monitor "<default monitor>"
[   140.288] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[   140.288] (==) Automatically adding devices
[   140.288] (==) Automatically enabling devices
[   140.288] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[   140.288] 	Entry deleted from font path.
[   140.308] (WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
[   140.308] 	Entry deleted from font path.
[   140.308] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	built-ins
[   140.308] (==) ModulePath set to "/usr/lib/xorg/modules"
[   140.308] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[   140.308] (II) Loader magic: 0x7d1be0
[   140.308] (II) Module ABI versions:
[   140.308] 	X.Org ANSI C Emulation: 0.4
[   140.308] 	X.Org Video Driver: 8.0
[   140.308] 	X.Org XInput driver : 11.0
[   140.308] 	X.Org Server Extension : 4.0
[   140.309] (--) PCI:*(0:2:0:0) 10de:0849:10de:cb84 rev 162, Mem @ 0xfb000000/16777216, 0xd8000000/134217728, 0xe6000000/33554432, I/O @ 0x0000bc00/128, BIOS @ 0x????????/131072
[   140.333] (II) Open ACPI successful (/var/run/acpid.socket)
[   140.333] (II) LoadModule: "extmod"
[   140.333] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[   140.357] (II) Module extmod: vendor="X.Org Foundation"
[   140.357] 	compiled for 1.9.5, module version = 1.0.0
[   140.357] 	Module class: X.Org Server Extension
[   140.357] 	ABI class: X.Org Server Extension, version 4.0
[   140.357] (II) Loading extension SELinux
[   140.357] (II) Loading extension MIT-SCREEN-SAVER
[   140.357] (II) Loading extension XFree86-VidModeExtension
[   140.357] (II) Loading extension XFree86-DGA
[   140.357] (II) Loading extension DPMS
[   140.357] (II) Loading extension XVideo
[   140.357] (II) Loading extension XVideo-MotionCompensation
[   140.357] (II) Loading extension X-Resource
[   140.357] (II) LoadModule: "dbe"
[   140.357] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[   140.370] (II) Module dbe: vendor="X.Org Foundation"
[   140.370] 	compiled for 1.9.5, module version = 1.0.0
[   140.370] 	Module class: X.Org Server Extension
[   140.370] 	ABI class: X.Org Server Extension, version 4.0
[   140.370] (II) Loading extension DOUBLE-BUFFER
[   140.370] (II) LoadModule: "glx"
[   140.370] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[   140.396] (II) Module glx: vendor="X.Org Foundation"
[   140.396] 	compiled for 1.9.5, module version = 1.0.0
[   140.396] 	ABI class: X.Org Server Extension, version 4.0
[   140.396] (==) AIGLX enabled
[   140.396] (II) Loading extension GLX
[   140.398] (II) LoadModule: "record"
[   140.398] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[   140.407] (II) Module record: vendor="X.Org Foundation"
[   140.407] 	compiled for 1.9.5, module version = 1.13.0
[   140.407] 	Module class: X.Org Server Extension
[   140.407] 	ABI class: X.Org Server Extension, version 4.0
[   140.407] (II) Loading extension RECORD
[   140.407] (II) LoadModule: "dri"
[   140.407] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[   140.446] (II) Module dri: vendor="X.Org Foundation"
[   140.446] 	compiled for 1.9.5, module version = 1.0.0
[   140.446] 	ABI class: X.Org Server Extension, version 4.0
[   140.446] (II) Loading extension XFree86-DRI
[   140.446] (II) LoadModule: "dri2"
[   140.446] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[   140.449] (II) Module dri2: vendor="X.Org Foundation"
[   140.449] 	compiled for 1.9.5, module version = 1.2.0
[   140.449] 	ABI class: X.Org Server Extension, version 4.0
[   140.449] (II) Loading extension DRI2
[   140.449] (==) Matched nouveau as autoconfigured driver 0
[   140.449] (==) Matched nv as autoconfigured driver 1
[   140.449] (==) Matched vesa as autoconfigured driver 2
[   140.450] (==) Matched fbdev as autoconfigured driver 3
[   140.450] (==) Assigned the driver to the xf86ConfigLayout
[   140.450] (II) LoadModule: "nouveau"
[   140.450] (WW) Warning, couldn't open module nouveau
[   140.450] (II) UnloadModule: "nouveau"
[   140.450] (EE) Failed to load module "nouveau" (module does not exist, 0)
[   140.450] (II) LoadModule: "nv"
[   140.450] (WW) Warning, couldn't open module nv
[   140.450] (II) UnloadModule: "nv"
[   140.450] (EE) Failed to load module "nv" (module does not exist, 0)
[   140.450] (II) LoadModule: "vesa"
[   140.450] (WW) Warning, couldn't open module vesa
[   140.450] (II) UnloadModule: "vesa"
[   140.450] (EE) Failed to load module "vesa" (module does not exist, 0)
[   140.450] (II) LoadModule: "fbdev"
[   140.450] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[   140.476] (II) Module fbdev: vendor="X.Org Foundation"
[   140.476] 	compiled for 1.9.4, module version = 0.4.2
[   140.476] 	ABI class: X.Org Video Driver, version 8.0
[   140.476] (II) FBDEV: driver for framebuffer: fbdev
[   140.476] (++) using VT number 7

[   140.478] (II) Loading sub module "fbdevhw"
[   140.478] (II) LoadModule: "fbdevhw"
[   140.478] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
[   140.478] (II) Module fbdevhw: vendor="X.Org Foundation"
[   140.478] 	compiled for 1.9.5, module version = 0.0.2
[   140.478] 	ABI class: X.Org Video Driver, version 8.0
[   140.479] (**) FBDEV(0): claimed PCI slot 2@0:0:0
[   140.479] (II) FBDEV(0): using default device
[   140.479] (II) FBDEV(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[   140.479] (==) FBDEV(0): Depth 24, (==) framebuffer bpp 32
[   140.479] (==) FBDEV(0): RGB weight 888
[   140.479] (==) FBDEV(0): Default visual is TrueColor
[   140.479] (==) FBDEV(0): Using gamma correction (1.0, 1.0, 1.0)
[   140.479] (II) FBDEV(0): hardware: nouveaufb (video memory: 5120kB)
[   140.479] (II) FBDEV(0): checking modes against framebuffer device...
[   140.479] (II) FBDEV(0): checking modes against monitor...
[   140.479] (--) FBDEV(0): Virtual size is 1280x1024 (pitch 1280)
[   140.479] (**) FBDEV(0):  Built-in mode "current"
[   140.479] (==) FBDEV(0): DPI set to (96, 96)
[   140.479] (II) Loading sub module "fb"
[   140.479] (II) LoadModule: "fb"
[   140.479] (II) Loading /usr/lib/xorg/modules/libfb.so
[   140.486] (II) Module fb: vendor="X.Org Foundation"
[   140.486] 	compiled for 1.9.5, module version = 1.0.0
[   140.486] 	ABI class: X.Org ANSI C Emulation, version 0.4
[   140.486] (**) FBDEV(0): using shadow framebuffer
[   140.486] (II) Loading sub module "shadow"
[   140.486] (II) LoadModule: "shadow"
[   140.486] (II) Loading /usr/lib/xorg/modules/libshadow.so
[   140.490] (II) Module shadow: vendor="X.Org Foundation"
[   140.490] 	compiled for 1.9.5, module version = 1.1.0
[   140.490] 	ABI class: X.Org ANSI C Emulation, version 0.4
[   140.490] (==) Depth 24 pixmap format is 32 bpp
[   140.500] (==) FBDEV(0): Backing store disabled
[   140.500] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.501] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.502] (EE) FBDEV(0): FBIOPUTCMAP: Invalid argument
[   140.503] (==) FBDEV(0): DPMS enabled
[   140.511] (==) RandR enabled
[   140.511] (II) Initializing built-in extension Generic Event Extension
[   140.511] (II) Initializing built-in extension SHAPE
[   140.511] (II) Initializing built-in extension MIT-SHM
[   140.511] (II) Initializing built-in extension XInputExtension
[   140.511] (II) Initializing built-in extension XTEST
[   140.511] (II) Initializing built-in extension BIG-REQUESTS
[   140.511] (II) Initializing built-in extension SYNC
[   140.511] (II) Initializing built-in extension XKEYBOARD
[   140.511] (II) Initializing built-in extension XC-MISC
[   140.511] (II) Initializing built-in extension SECURITY
[   140.511] (II) Initializing built-in extension XINERAMA
[   140.511] (II) Initializing built-in extension XFIXES
[   140.511] (II) Initializing built-in extension RENDER
[   140.511] (II) Initializing built-in extension RANDR
[   140.511] (II) Initializing built-in extension COMPOSITE
[   140.511] (II) Initializing built-in extension DAMAGE
[   140.511] (II) SELinux: Disabled on system
[   140.521] (II) AIGLX: Screen 0 is not DRI2 capable
[   140.521] (II) AIGLX: Screen 0 is not DRI capable
[   140.692] (II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
[   140.692] (II) GLX: Initialized DRISWRAST GL provider for screen 0
[   141.293] (II) config/udev: Adding input device Power Button (/dev/input/event3)
[   141.293] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[   141.293] (II) LoadModule: "evdev"
[   141.293] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[   141.321] (II) Module evdev: vendor="X.Org Foundation"
[   141.321] 	compiled for 1.9.4, module version = 2.6.0
[   141.321] 	Module class: X.Org XInput Driver
[   141.321] 	ABI class: X.Org XInput driver, version 11.0
[   141.321] (**) Power Button: always reports core events
[   141.321] (**) Power Button: Device: "/dev/input/event3"
[   141.348] (--) Power Button: Found keys
[   141.348] (II) Power Button: Configuring as keyboard
[   141.348] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
[   141.348] (**) Option "xkb_rules" "evdev"
[   141.348] (**) Option "xkb_model" "pc102"
[   141.348] (**) Option "xkb_layout" "fr"
[   141.348] (**) Option "xkb_variant" "dvorak"
[   141.348] (**) Option "xkb_options" "lv3:lwin_switch"
[   141.400] (II) config/udev: Adding input device Video Bus (/dev/input/event4)
[   141.400] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[   141.400] (**) Video Bus: always reports core events
[   141.400] (**) Video Bus: Device: "/dev/input/event4"
[   141.416] (--) Video Bus: Found keys
[   141.416] (II) Video Bus: Configuring as keyboard
[   141.416] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
[   141.416] (**) Option "xkb_rules" "evdev"
[   141.416] (**) Option "xkb_model" "pc102"
[   141.416] (**) Option "xkb_layout" "fr"
[   141.416] (**) Option "xkb_variant" "dvorak"
[   141.416] (**) Option "xkb_options" "lv3:lwin_switch"
[   141.417] (II) config/udev: Adding input device Power Button (/dev/input/event2)
[   141.417] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[   141.417] (**) Power Button: always reports core events
[   141.417] (**) Power Button: Device: "/dev/input/event2"
[   141.460] (--) Power Button: Found keys
[   141.460] (II) Power Button: Configuring as keyboard
[   141.460] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
[   141.460] (**) Option "xkb_rules" "evdev"
[   141.460] (**) Option "xkb_model" "pc102"
[   141.460] (**) Option "xkb_layout" "fr"
[   141.460] (**) Option "xkb_variant" "dvorak"
[   141.460] (**) Option "xkb_options" "lv3:lwin_switch"
[   141.461] (II) config/udev: Adding input device HDA NVidia Headphone (/dev/input/event6)
[   141.462] (II) No input driver/identifier specified (ignoring)
[   141.466] (II) config/udev: Adding input device USB Mouse (/dev/input/event5)
[   141.466] (**) USB Mouse: Applying InputClass "evdev pointer catchall"
[   141.466] (**) USB Mouse: always reports core events
[   141.466] (**) USB Mouse: Device: "/dev/input/event5"
[   141.484] (--) USB Mouse: Found 3 mouse buttons
[   141.484] (--) USB Mouse: Found scroll wheel(s)
[   141.484] (--) USB Mouse: Found relative axes
[   141.484] (--) USB Mouse: Found x and y relative axes
[   141.484] (II) USB Mouse: Configuring as mouse
[   141.484] (II) USB Mouse: Adding scrollwheel support
[   141.484] (**) USB Mouse: YAxisMapping: buttons 4 and 5
[   141.484] (**) USB Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[   141.484] (II) XINPUT: Adding extended input device "USB Mouse" (type: MOUSE)
[   141.484] (**) USB Mouse: (accel) keeping acceleration scheme 1
[   141.484] (**) USB Mouse: (accel) acceleration profile 0
[   141.484] (**) USB Mouse: (accel) acceleration factor: 2.000
[   141.484] (**) USB Mouse: (accel) acceleration threshold: 4
[   141.484] (II) USB Mouse: initialized for relative axes.
[   141.484] (II) config/udev: Adding input device USB Mouse (/dev/input/mouse0)
[   141.484] (II) No input driver/identifier specified (ignoring)
[   141.485] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
[   141.485] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[   141.485] (**) AT Translated Set 2 keyboard: always reports core events
[   141.485] (**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
[   141.500] (--) AT Translated Set 2 keyboard: Found keys
[   141.500] (II) AT Translated Set 2 keyboard: Configuring as keyboard
[   141.500] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
[   141.500] (**) Option "xkb_rules" "evdev"
[   141.500] (**) Option "xkb_model" "pc102"
[   141.500] (**) Option "xkb_layout" "fr"
[   141.500] (**) Option "xkb_variant" "dvorak"
[   141.500] (**) Option "xkb_options" "lv3:lwin_switch"
[   141.500] (II) config/udev: Adding input device PC Speaker (/dev/input/event1)
[   141.500] (II) No input driver/identifier specified (ignoring)
[   141.502] (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event7)
[   141.502] (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
[   141.502] (**) ACPI Virtual Keyboard Device: always reports core events
[   141.502] (**) ACPI Virtual Keyboard Device: Device: "/dev/input/event7"
[   141.516] (--) ACPI Virtual Keyboard Device: Found keys
[   141.516] (II) ACPI Virtual Keyboard Device: Configuring as keyboard
[   141.516] (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
[   141.516] (**) Option "xkb_rules" "evdev"
[   141.516] (**) Option "xkb_model" "pc102"
[   141.516] (**) Option "xkb_layout" "fr"
[   141.516] (**) Option "xkb_variant" "dvorak"
[   141.516] (**) Option "xkb_options" "lv3:lwin_switch"

udev information:
-----------------
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
N: input/event3
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc102
E: XKBLAYOUT=fr
E: XKBVARIANT=dvorak
E: XKBOPTIONS=lv3:lwin_switch
E: DMI_VENDOR=Shuttle Inc

P: /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:14/LNXVIDEO:00/input/input4/event4
N: input/event4
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:14/LNXVIDEO:00/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc102
E: XKBLAYOUT=fr
E: XKBVARIANT=dvorak
E: XKBOPTIONS=lv3:lwin_switch
E: DMI_VENDOR=Shuttle Inc

P: /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2/event2
N: input/event2
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc102
E: XKBLAYOUT=fr
E: XKBVARIANT=dvorak
E: XKBOPTIONS=lv3:lwin_switch
E: DMI_VENDOR=Shuttle Inc

P: /devices/pci0000:00/0000:00:07.0/sound/card0/input6/event6
N: input/event6
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:07.0/sound/card0/input6/event6
E: MAJOR=13
E: MINOR=70
E: DEVNAME=/dev/input/event6
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:07.0
E: DMI_VENDOR=Shuttle Inc

P: /devices/pci0000:00/0000:00:10.0/0000:03:00.0/usb3/3-3/3-3:1.0/input/input5/event5
N: input/event5
S: input/by-id/usb-15d9_USB_Mouse-event-mouse
S: input/by-path/pci-0000:03:00.0-usb-0:3:1.0-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:10.0/0000:03:00.0/usb3/3-3/3-3:1.0/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=15d9
E: ID_VENDOR_ENC=15d9
E: ID_VENDOR_ID=15d9
E: ID_MODEL=USB_Mouse
E: ID_MODEL_ENC=USB\x20Mouse
E: ID_MODEL_ID=0a33
E: ID_REVISION=0100
E: ID_SERIAL=15d9_USB_Mouse
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:03:00.0-usb-0:3:1.0
E: DEVLINKS=/dev/input/by-id/usb-15d9_USB_Mouse-event-mouse /dev/input/by-path/pci-0000:03:00.0-usb-0:3:1.0-event-mouse

P: /devices/pci0000:00/0000:00:10.0/0000:03:00.0/usb3/3-3/3-3:1.0/input/input5/mouse0
N: input/mouse0
S: input/by-id/usb-15d9_USB_Mouse-mouse
S: input/by-path/pci-0000:03:00.0-usb-0:3:1.0-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:10.0/0000:03:00.0/usb3/3-3/3-3:1.0/input/input5/mouse0
E: MAJOR=13
E: MINOR=32
E: DEVNAME=/dev/input/mouse0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=15d9
E: ID_VENDOR_ENC=15d9
E: ID_VENDOR_ID=15d9
E: ID_MODEL=USB_Mouse
E: ID_MODEL_ENC=USB\x20Mouse
E: ID_MODEL_ID=0a33
E: ID_REVISION=0100
E: ID_SERIAL=15d9_USB_Mouse
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:03:00.0-usb-0:3:1.0
E: DEVLINKS=/dev/input/by-id/usb-15d9_USB_Mouse-mouse /dev/input/by-path/pci-0000:03:00.0-usb-0:3:1.0-mouse

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc102
E: XKBLAYOUT=fr
E: XKBVARIANT=dvorak
E: XKBOPTIONS=lv3:lwin_switch
E: DMI_VENDOR=Shuttle Inc
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-0-event-kbd

P: /devices/platform/pcspkr/input/input1/event1
N: input/event1
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=Shuttle Inc
E: DEVLINKS=/dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/virtual/input/input7/event7
N: input/event7
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input7/event7
E: MAJOR=13
E: MINOR=71
E: DEVNAME=/dev/input/event7
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=pc102
E: XKBLAYOUT=fr
E: XKBVARIANT=dvorak
E: XKBOPTIONS=lv3:lwin_switch
E: DMI_VENDOR=Shuttle Inc


DRM Information from dmesg:
---------------------------
[    0.000000] No AGP bridge found
[    0.000000] No AGP bridge found
[    0.758159] PCI-DMA: Disabling AGP.
[    0.758387] PCI-DMA: Reserving 64MB of IOMMU area in the AGP aperture
[    0.884473] Linux agpgart interface v0.103
[    5.394988] [drm] Initialized drm 1.1.0 20060810
[    5.545773] [drm] nouveau 0000:02:00.0: Detected an NV50 generation card (0x0aa480a2)
[    5.549213] [drm] nouveau 0000:02:00.0: Attempting to load BIOS image from PRAMIN
[    5.593941] [drm] nouveau 0000:02:00.0: ... appears to be valid
[    5.593990] [drm] nouveau 0000:02:00.0: BIT BIOS found
[    5.594037] [drm] nouveau 0000:02:00.0: Bios version 62.77.15.00
[    5.594086] [drm] nouveau 0000:02:00.0: TMDS table version 2.0
[    5.594134] [drm] nouveau 0000:02:00.0: Found Display Configuration Block version 4.0
[    5.594190] [drm] nouveau 0000:02:00.0: Raw DCB entry 0: 01000300 00000028
[    5.594239] [drm] nouveau 0000:02:00.0: Raw DCB entry 1: 01011332 00020030
[    5.594280] [drm] nouveau 0000:02:00.0: Raw DCB entry 2: 0000000e 00000000
[    5.594335] [drm] nouveau 0000:02:00.0: DCB connector table: VHER 0x40 5 16 4
[    5.594384] [drm] nouveau 0000:02:00.0:   0: 0x00000100: type 0x00 idx 0 tag 0xff
[    5.594439] [drm] nouveau 0000:02:00.0:   1: 0x00001261: type 0x61 idx 1 tag 0x07
[    5.594496] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table 0 at offset 0xC39A
[    5.680037] [drm] nouveau 0000:02:00.0: Register 0x00004028 not found in PLL limits table
[    5.688120] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table 1 at offset 0xC656
[    5.688208] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table 2 at offset 0xC658
[    5.688277] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table 3 at offset 0xC73D
[    5.688337] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table 4 at offset 0xC802
[    5.688386] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table at offset 0xC867
[    5.712017] [drm] nouveau 0000:02:00.0: 0xC867: Condition still not met after 20ms, skipping following opcodes
[    7.009266] [drm] nouveau 0000:02:00.0: 1 available performance level(s)
[    7.009317] [drm] nouveau 0000:02:00.0: 0: memory 0MHz core 500MHz shader 1200MHz voltage 1200mV fanspeed 100%
[    7.009380] [drm] nouveau 0000:02:00.0: Register 0x00004028 not found in PLL limits table
[    7.009429] [drm] nouveau 0000:02:00.0: Register 0x00004008 not found in PLL limits table
[    7.009516] [drm] nouveau 0000:02:00.0: Register 0x00004030 not found in PLL limits table
[    7.009600] [drm] nouveau 0000:02:00.0: c: memory 0MHz shader 500MHz
[    7.009865] [drm] nouveau 0000:02:00.0: Detected 128MiB VRAM
[    7.009912] [drm] nouveau 0000:02:00.0: Stolen system memory at: 0x00d0000000
[    7.019230] [drm] nouveau 0000:02:00.0: 512 MiB GART (aperture)
[    7.034239] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    7.034287] [drm] No driver support for vblank timestamp query.
[    7.148438] [drm] nouveau 0000:02:00.0: allocated 1280x1024 fb: 0x60000000, bo ffff8801211c6c00
[    7.155022] drm: registered panic notifier
[    7.155039] [drm] Initialized nouveau 0.0.16 20090420 for 0000:02:00.0 on minor 0


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-core depends on:
ii  keyboard-configuration       1.70        system-wide keyboard preferences
ii  libaudit0                    1.7.13-1+b2 Dynamic library for security audit
ii  libc6                        2.13-4      Embedded GNU C Library: Shared lib
ii  libdrm2                      2.4.24-2    Userspace interface to kernel DRM 
ii  libgcrypt11                  1.4.6-5     LGPL Crypto library - runtime libr
ii  libpciaccess0                0.12.1-1    Generic PCI access library for X
ii  libpixman-1-0                0.21.8-1    pixel-manipulation library for X a
ii  libselinux1                  2.0.98-1+b1 SELinux runtime shared libraries
ii  libudev0                     167-3       libudev shared library
ii  libxau6                      1:1.0.6-1   X11 authorisation library
ii  libxdmcp6                    1:1.1.0-1   X11 Display Manager Control Protoc
ii  libxfont1                    1:1.4.3-2   X11 font rasterisation library
ii  udev                         167-3       /dev/ and hotplug management daemo
ii  xserver-common               2:1.9.5-1   common files used by various X ser

Versions of packages xserver-xorg-core recommends:
ii  libgl1-mesa-dri               7.10.2-2   free implementation of the OpenGL 

Versions of packages xserver-xorg-core suggests:
ii  xfonts-100dpi                 1:1.0.3    100 dpi fonts for X
ii  xfonts-75dpi                  1:1.0.3    75 dpi fonts for X
ii  xfonts-scalable               1:1.0.3-1  scalable fonts for X

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#626682; Package xserver-xorg-core. (Mon, 16 May 2011 16:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 16 May 2011 16:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 626682@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Stéphane Glondu <glondu@debian.org>, 626682@bugs.debian.org
Subject: Re: Bug#626682: xserver-xorg-core: overlapping memcpy in libfb.so
Date: Mon, 16 May 2011 18:26:34 +0200
[Message part 1 (text/plain, inline)]
Hi,

Stéphane Glondu <glondu@debian.org> (14/05/2011):
> After upgrading libc6 to 2.13-4 and adding
> /usr/lib/libc/memcpy-syslog-preload.so to my /etc/ld.so.preload as
> suggested by the NEWS file, lines like the following:
> 
> > May 14 12:22:41 korell Xorg: source and destination overlap in memcpy() at ip 0x7f3d6dbfdc3c

I followed up to another patch:
  http://lists.x.org/archives/xorg-devel/2011-May/022245.html

Feel free to try it and report any issue or improvement; I'm attaching
the patch for your convenience.

Mraw,
KiBi.
[0001-Try-and-get-overlapping-cases-fixed.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#626682; Package xserver-xorg-core. (Tue, 17 May 2011 20:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 17 May 2011 20:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 626682@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: 626682@bugs.debian.org
Subject: Re: Bug#626682: xserver-xorg-core: overlapping memcpy in libfb.so
Date: Tue, 17 May 2011 22:17:24 +0200
Le 16/05/2011 18:26, Cyril Brulebois a écrit :
> I followed up to another patch:
>   http://lists.x.org/archives/xorg-devel/2011-May/022245.html
> 
> Feel free to try it and report any issue or improvement; I'm attaching
> the patch for your convenience.

I tried and it works.


Cheers,

-- 
Stéphane





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#626682; Package xserver-xorg-core. (Sun, 29 May 2011 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 May 2011 19:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 626682@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 626682@bugs.debian.org
Subject: Side effects are not limited to sylog messages...
Date: Sun, 29 May 2011 19:47:35 +0100
[Message part 1 (text/plain, inline)]
For some time I've been dealing with this happening whenever I move a
window to the left:

http://www.virtualbox.org/attachment/ticket/8909/corruption.png

My CPU is an Intel Core i7 920.

I'm finding using my computer fairly madenning because of this bug,
which is worked around by activating the memmove preload library. I
would appreciate it if the patch could be applied to the Debian packages
of Xorg soon.

-- 
Sam Morris <https://robots.org.uk/>
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#626682; Package xserver-xorg-core. (Sun, 29 May 2011 19:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 May 2011 19:12:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#626682; Package xserver-xorg-core. (Sun, 29 May 2011 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 May 2011 20:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 626682@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Sam Morris <sam@robots.org.uk>, 626682@bugs.debian.org
Subject: Re: Bug#626682: Side effects are not limited to sylog messages...
Date: Sun, 29 May 2011 22:40:54 +0200
[Message part 1 (text/plain, inline)]
Sam Morris <sam@robots.org.uk> (29/05/2011):
> My CPU is an Intel Core i7 920.
> 
> I'm finding using my computer fairly madenning because of this bug,
> which is worked around by activating the memmove preload library. I
> would appreciate it if the patch could be applied to the Debian
> packages of Xorg soon.

Well, sorry, but I think time is better spent pushing for its being
merged upstream, which is what I did/do.

Why are you using the fbdev driver anyway?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#626682; Package xserver-xorg-core. (Sun, 29 May 2011 21:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 May 2011 21:21:12 GMT) Full text and rfc822 format available.

Message #35 received at 626682@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Cyril Brulebois <kibi@debian.org>
Cc: 626682@bugs.debian.org
Subject: Re: Bug#626682: Side effects are not limited to sylog messages...
Date: Sun, 29 May 2011 22:03:07 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2011-05-29 at 22:40 +0200, Cyril Brulebois wrote:
> Sam Morris <sam@robots.org.uk> (29/05/2011):
> > My CPU is an Intel Core i7 920.
> > 
> > I'm finding using my computer fairly madenning because of this bug,
> > which is worked around by activating the memmove preload library. I
> > would appreciate it if the patch could be applied to the Debian
> > packages of Xorg soon.
> 
> Well, sorry, but I think time is better spent pushing for its being
> merged upstream, which is what I did/do.
> 
> Why are you using the fbdev driver anyway?

TBH I didn't know that I was. I'm using vboxvideo_drv.so...

> Mraw,
> KiBi.

-- 
Sam Morris <https://robots.org.uk/>
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#626682; Package xserver-xorg-core. (Sun, 29 May 2011 21:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 May 2011 21:33:09 GMT) Full text and rfc822 format available.

Message #40 received at 626682@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Sam Morris <sam@robots.org.uk>, 626682@bugs.debian.org
Subject: Re: Bug#626682: Side effects are not limited to sylog messages...
Date: Sun, 29 May 2011 23:29:43 +0200
[Message part 1 (text/plain, inline)]
Sam Morris <sam@robots.org.uk> (29/05/2011):
> TBH I didn't know that I was. I'm using vboxvideo_drv.so...

Which might hit the same kinda path in the server as fbdev, OK (the
original issue seemed to happen with fbdev only, didn't see any other
complaints for other drivers until now). But my point about getting it
upstream'd stands.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#626682; Package xserver-xorg-core. (Fri, 03 Jun 2011 15:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Ring <stefanrin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 03 Jun 2011 15:48:07 GMT) Full text and rfc822 format available.

Message #45 received at 626682@bugs.debian.org (full text, mbox):

From: Stefan Ring <stefanrin@gmail.com>
To: 626682@bugs.debian.org
Cc: kibi@debian.org
Subject: Re: Bug#626682: Side effects are not limited to sylog messages...
Date: Fri, 3 Jun 2011 17:44:55 +0200
> Which might hit the same kinda path in the server as fbdev, OK (the
> original issue seemed to happen with fbdev only, didn't see any other
> complaints for other drivers until now).

See https://bugzilla.redhat.com/show_bug.cgi?id=665320 for a few
complaints with all kinds of drivers. I would expect this to be a
major problem, but apparently, there doesn't seem to be much of an
upheaval about it.

> But my point about getting it upstream'd stands.

If only someone "up there" cared about your post to the mailing list...

Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#626682; Package xserver-xorg-core. (Wed, 08 Jun 2011 07:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Ring <stefanrin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 08 Jun 2011 07:15:07 GMT) Full text and rfc822 format available.

Message #50 received at 626682@bugs.debian.org (full text, mbox):

From: Stefan Ring <stefanrin@gmail.com>
To: 626682@bugs.debian.org
Cc: kibi@debian.org
Subject: Re: Bug#626682: Side effects are not limited to sylog messages...
Date: Wed, 8 Jun 2011 09:13:45 +0200
On Fri, Jun 3, 2011 at 5:44 PM, Stefan Ring <stefanrin@gmail.com> wrote:
>> Which might hit the same kinda path in the server as fbdev, OK (the
>> original issue seemed to happen with fbdev only, didn't see any other
>> complaints for other drivers until now).
>
> See https://bugzilla.redhat.com/show_bug.cgi?id=665320 for a few
> complaints with all kinds of drivers.

There’s another one: http://www.virtualbox.org/ticket/8909




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#626682; Package xserver-xorg-core. (Tue, 23 Aug 2011 19:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Ring <stefanrin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 23 Aug 2011 19:09:07 GMT) Full text and rfc822 format available.

Message #55 received at 626682@bugs.debian.org (full text, mbox):

From: Stefan Ring <stefanrin@gmail.com>
To: 626682@bugs.debian.org
Subject: Re: Bug#626682: Side effects are not limited to sylog messages...
Date: Tue, 23 Aug 2011 21:07:30 +0200
Who would have thought of that?

From Keith Packard:

> I've merged a fix to master today; I'd love to get a bit of testing
> before I finish the (slightly delayed) 1.11 release.

http://lists.x.org/archives/xorg-devel/2011-August/024532.html
http://cgit.freedesktop.org/xorg/xserver/commit/?id=e32cc0b4c85c78cd8743a6e1680dcc79054b57ce




Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sun, 28 Aug 2011 11:21:16 GMT) Full text and rfc822 format available.

Notification sent to Stéphane Glondu <glondu@debian.org>:
Bug acknowledged by developer. (Sun, 28 Aug 2011 11:21:20 GMT) Full text and rfc822 format available.

Message #60 received at 626682-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 626682-close@bugs.debian.org
Subject: Bug#626682: fixed in xorg-server 2:1.11.0-1
Date: Sun, 28 Aug 2011 11:19:02 +0000
Source: xorg-server
Source-Version: 2:1.11.0-1

We believe that the bug you reported is fixed in the latest version of
xorg-server, which is due to be installed in the Debian FTP archive:

xdmx-tools_1.11.0-1_amd64.deb
  to main/x/xorg-server/xdmx-tools_1.11.0-1_amd64.deb
xdmx_1.11.0-1_amd64.deb
  to main/x/xorg-server/xdmx_1.11.0-1_amd64.deb
xnest_1.11.0-1_amd64.deb
  to main/x/xorg-server/xnest_1.11.0-1_amd64.deb
xorg-server_1.11.0-1.diff.gz
  to main/x/xorg-server/xorg-server_1.11.0-1.diff.gz
xorg-server_1.11.0-1.dsc
  to main/x/xorg-server/xorg-server_1.11.0-1.dsc
xorg-server_1.11.0.orig.tar.gz
  to main/x/xorg-server/xorg-server_1.11.0.orig.tar.gz
xserver-common_1.11.0-1_all.deb
  to main/x/xorg-server/xserver-common_1.11.0-1_all.deb
xserver-xephyr_1.11.0-1_amd64.deb
  to main/x/xorg-server/xserver-xephyr_1.11.0-1_amd64.deb
xserver-xfbdev_1.11.0-1_amd64.deb
  to main/x/xorg-server/xserver-xfbdev_1.11.0-1_amd64.deb
xserver-xorg-core-dbg_1.11.0-1_amd64.deb
  to main/x/xorg-server/xserver-xorg-core-dbg_1.11.0-1_amd64.deb
xserver-xorg-core-udeb_1.11.0-1_amd64.udeb
  to main/x/xorg-server/xserver-xorg-core-udeb_1.11.0-1_amd64.udeb
xserver-xorg-core_1.11.0-1_amd64.deb
  to main/x/xorg-server/xserver-xorg-core_1.11.0-1_amd64.deb
xserver-xorg-dev_1.11.0-1_amd64.deb
  to main/x/xorg-server/xserver-xorg-dev_1.11.0-1_amd64.deb
xvfb_1.11.0-1_amd64.deb
  to main/x/xorg-server/xvfb_1.11.0-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626682@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated xorg-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 28 Aug 2011 12:53:06 +0200
Source: xorg-server
Binary: xserver-xorg-core xserver-xorg-core-udeb xserver-xorg-dev xdmx xdmx-tools xnest xvfb xserver-xephyr xserver-xfbdev xserver-xorg-core-dbg xserver-common
Architecture: source all amd64
Version: 2:1.11.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 xdmx       - distributed multihead X server
 xdmx-tools - Distributed Multihead X tools
 xnest      - Nested X server
 xserver-common - common files used by various X servers
 xserver-xephyr - nested X server
 xserver-xfbdev - Linux framebuffer device tiny X server
 xserver-xorg-core - Xorg X server - core server
 xserver-xorg-core-dbg - Xorg - the X.Org X server (debugging symbols)
 xserver-xorg-core-udeb - Xorg X server - core server (udeb)
 xserver-xorg-dev - Xorg X server - development files
 xvfb       - Virtual Framebuffer 'fake' X server
Closes: 626682 632549
Changes: 
 xorg-server (2:1.11.0-1) unstable; urgency=low
 .
   [ Julien Cristau ]
   * Make xvfb, xnest, xserver-xephyr and xserver-xfbdev provide the xserver
     virtual package again.
 .
   [ Cyril Brulebois ]
   * New upstream release:
     - Fix assertion failure when calling dixSetPrivate (Closes: #632549).
       Thanks, Mohammed Sameer!
     - Fix memcpy abuse in the fb layer (Closes: #626682).
Checksums-Sha1: 
 07c347bf08f59abc2ef929e2852ac096e23a3f7c 3078 xorg-server_1.11.0-1.dsc
 53842fd67d0254901859b1e0b8f2157b6fb1a5e0 6722596 xorg-server_1.11.0.orig.tar.gz
 267f318e20aa62e76d15f10165f805c5e40f1581 395154 xorg-server_1.11.0-1.diff.gz
 ea739342bb0cf07823aa374c0fdf5c857a295ed0 1265158 xserver-common_1.11.0-1_all.deb
 f5c08822259a2eab07485e6ad6e73619f972d2bc 1729252 xserver-xorg-core_1.11.0-1_amd64.deb
 46527ce58951e1c8ca3e5cc826f8a4f2980028f6 1044050 xserver-xorg-core-udeb_1.11.0-1_amd64.udeb
 cce8d347c689b7d5620c7eacc36ae5bcc02195aa 310020 xserver-xorg-dev_1.11.0-1_amd64.deb
 ab47f3585e0a153b6739c1d6181f622b5b4d3e8d 896648 xdmx_1.11.0-1_amd64.deb
 02183efe3063426e2f1065e083845d5a530db15d 117474 xdmx-tools_1.11.0-1_amd64.deb
 a4aa8b4dcdb103e2f80c2136852ab6423b9e8966 791902 xnest_1.11.0-1_amd64.deb
 80b0521d7562d999fd592fa878f110aacbcf8828 895444 xvfb_1.11.0-1_amd64.deb
 f62e529a0d5007638ed1b89598b461d915a0c247 987420 xserver-xephyr_1.11.0-1_amd64.deb
 5217b919db1d5d2b18a429e99afcf0e4642885e5 908232 xserver-xfbdev_1.11.0-1_amd64.deb
 c2699fae26bdd9ae004b738f360a1feaa6795320 6082288 xserver-xorg-core-dbg_1.11.0-1_amd64.deb
Checksums-Sha256: 
 c1a5a5b4a25204500a00fba6f2d090337af00a77e4b53d9719ff88bcebab4c06 3078 xorg-server_1.11.0-1.dsc
 9a3707610c6c30f9cdbe212d8ee9932c1545dc3cfbf0c7d108eb2bc13d048f1a 6722596 xorg-server_1.11.0.orig.tar.gz
 afbeffcc934e604d1d1a3ac41e916ef50985be83e95161940822e61b5778175a 395154 xorg-server_1.11.0-1.diff.gz
 ea436133875a5b67e41e908fb32731d52b630ac963cc4c5cd7adabc6b697e64a 1265158 xserver-common_1.11.0-1_all.deb
 103e22392894b961667b29e16aae4dfcbb1c525a4adf4bea8af101f5589ce675 1729252 xserver-xorg-core_1.11.0-1_amd64.deb
 aed6c3d2cc6f42489ffa36f47320b4702a20d5a4aa9c4ede2f0a0f04beaadc37 1044050 xserver-xorg-core-udeb_1.11.0-1_amd64.udeb
 66668cb11c5f505c6b857fbf907f919df8984ad842f49e8565c4589a464ab123 310020 xserver-xorg-dev_1.11.0-1_amd64.deb
 7add01699bcb9d950472b6c8c94d6ee51dd7dc2bc4c392f8de8e3425b5549e90 896648 xdmx_1.11.0-1_amd64.deb
 8c3c65c15802c764db22939630c8286e3992030391e2675a2cf1d7f2a363f17f 117474 xdmx-tools_1.11.0-1_amd64.deb
 deb3c52c96691eb1e214468eca7bf0dbf1aa218f086b86bd1ed4686776f715f6 791902 xnest_1.11.0-1_amd64.deb
 51863455d47d9678bc8c93651625ac57b5f22dd54c9c56df57ad3d0d9a3004e1 895444 xvfb_1.11.0-1_amd64.deb
 dbc98d3835d89e1ab2f8814f44445ffb1060550ec79ec682affbca3e24fae1b8 987420 xserver-xephyr_1.11.0-1_amd64.deb
 33241312e8032fd5cdb7eb408b728f344094c723b41b4533c945ceae49944381 908232 xserver-xfbdev_1.11.0-1_amd64.deb
 7d459e669c8517887fe86b96079312db431363e8d23dad854105ed3e41d284c5 6082288 xserver-xorg-core-dbg_1.11.0-1_amd64.deb
Files: 
 9e8bdbbd93b362f0ba5409bde3cc813e 3078 x11 optional xorg-server_1.11.0-1.dsc
 e9be4b3e8f48e811cc42209c752e94b8 6722596 x11 optional xorg-server_1.11.0.orig.tar.gz
 dabfab70ee9d68716ebfada62801b690 395154 x11 optional xorg-server_1.11.0-1.diff.gz
 ac861a1b3f9eebc28891d7176aec0014 1265158 x11 optional xserver-common_1.11.0-1_all.deb
 fa3028481a8a58621ce8b08ff652fe5f 1729252 x11 optional xserver-xorg-core_1.11.0-1_amd64.deb
 85458c786d377d39e55ccbaed65b4b76 1044050 debian-installer optional xserver-xorg-core-udeb_1.11.0-1_amd64.udeb
 274f3f04fc65eadea3578cdaad700476 310020 x11 optional xserver-xorg-dev_1.11.0-1_amd64.deb
 0128c052c7a0641892b29a4a4600ab53 896648 x11 optional xdmx_1.11.0-1_amd64.deb
 c841b6dac43f1636f74ec5d0f2696747 117474 x11 optional xdmx-tools_1.11.0-1_amd64.deb
 547353c9af5bf5b2945f4043bbd93e70 791902 x11 optional xnest_1.11.0-1_amd64.deb
 4f0a521879760be1e5a59e5860a81449 895444 x11 optional xvfb_1.11.0-1_amd64.deb
 390843dece6e491b512615513d99d7f8 987420 x11 optional xserver-xephyr_1.11.0-1_amd64.deb
 5cc55f49933894c65bc58eaa62a6c7a8 908232 x11 optional xserver-xfbdev_1.11.0-1_amd64.deb
 271cf0674b239bb8c17f484e6fb513e2 6082288 debug extra xserver-xorg-core-dbg_1.11.0-1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5aII8ACgkQeGfVPHR5Nd2EqQCfWlrhRBn5qtXzX3Fd+7nyd+Iv
UDgAnAieHM5hBpgKmBTzzAuD3q9SCi6c
=VPE4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Sep 2011 07:35:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:49:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.